package dtu.library.app;

import java.util.ArrayList;
import java.util.List;

public class User {

	private String cpr;
	private String name;
	private String email;
	private Address address;
	private List<Book> borrowedBooks = new ArrayList<>();

	public User(String cpr, String name, String email) {
		this.cpr = cpr;
		this.name = name;
		this.email = email;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	public String getName() {
		return name;
	}

	public String getEmail() {
		return email;
	}

	public void borrowBook(Book book) throws TooManyBooksException {
		if (borrowedBooks.size() >= 10) {
			throw new TooManyBooksException("Can't borrow more than 10 books");
		}
		borrowedBooks.add(book);
	}

	public List<Book> getBorrowedBooks() {
		return borrowedBooks;
	}

	public void returnBook(Book book) throws Exception {
		if (!borrowedBooks.contains(book)) {
			throw new Exception("book is not borrowed by the user");
		}
		borrowedBooks.remove(book);
	}

	public String getCpr() {
		return cpr;
	}

	public Address getAddress() {
		return address;
	}

}
